extends layout

block content
  p.text-grey-dark
    a.fa.fa-home(href="/")
    |
    | &raquo;
    |
    span Search Results

  #search-results
    header
      h2 Search Results
    form(method="GET" action="/search")
      input.border.p-4.text-lg.w-64.mb-6.mr-8.inline-block(name="query" placeholder="Search Author, Title, Tags ..." value=query)
      button.border.text-white.bg-blue-dark.rounded-lg.px-8.py-4.inline-block(type="submit") Search

  div.flex

    .flex-1
      h3 Title Match
      for book in result.titles
        div.mb-6
          h4.m-0.p-0
            a(href=`/book/${book.isbn}`)= book.title
          em= book.author

    .flex-1
      h3 Author Match
      for book in result.authors
        div.mb-6
          h4.m-0.p-0
            a(href=`/book/${book.isbn}`)= book.title
          em= book.author

    .flex-1
      h3 Tag Match
      for book in result.tags
        div.mb-6
          h4.m-0.p-0
            a(href=`/book/${book.isbn}`)= book.title
          em= book.author

    .flex-1
      h3 Stem Search
      for book in result.stems
        div.mb-6
          h4.m-0.p-0
            a(href=`/book/${book.isbn}`)= book.title
          em= book.author
